{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1" />
    <title>IFP Admin - {% block title %}{% endblock title %}</title>
    <meta name="description" content="Internal site for the French Institute of Pondicherry" />
    <meta name="author" content="" />
    <link rel="icon" type="image/x-icon" href={% static 'images/favicon.ico' %}>

    <!-- Bulma CSS -->
    <link rel="stylesheet" href="{% static 'css/bulma.min.css' %}" />
    <link rel="stylesheet" href="{% static 'css/bulma-with-sticky-table.css' %}" />

    <!-- CSS -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}" />
    {% block css %}
    {% endblock %}
</head>

<body class="has-background-light" style="padding-top:3em;">
    {% if user.is_authenticated %}
    <!-- NAVBAR-->
    <nav class="navbar is-fixed-top" style="box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15)" role="navigation" aria-label="main navigation">
        <div class="navbar-brand">
            <a href="{% url 'home' %}" class="navbar-item">
                <img src={% static 'images/IFP_logo.png' %}>
            </a>

            <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="opera-navbar">
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
            </a>
        </div>

        <div class="navbar-menu" id="opera-navbar">
            <div class="navbar-start">
                <div class="navbar-item has-dropdown is-hoverable">
                    <a class="navbar-link"> Missions </a>
                    <div class="navbar-dropdown">
                        <a href="{% url 'missions_list' %}" class="navbar-item">
                            All Missions
                        </a>
                        <a href="{% url 'propose_mission' %}" class="navbar-item">
                            Propose Mission
                        </a>
                        <hr class="navbar-divider">
                        <a href="{% url 'settings' %}" class="navbar-item">
                            Settings
                        </a>
                    </div>
                </div>
                <div class="navbar-item has-dropdown is-hoverable">
                    <a class="navbar-link"> Projects </a>
                    <div class="navbar-dropdown">
                        <a href="{% url 'project_list' %}" class="navbar-item">
                            All Projects
                        </a>
                        {% if user.is_superuser %}
                        <a href="{% url 'project_create' %}" class="navbar-item">
                            New Project
                        </a>
                        {% endif %}
                    </div>
                </div>

                <div class="navbar-item has-dropdown is-hoverable">
                    <a class="navbar-link"> Departments </a>
                    <div class="navbar-dropdown">
                        <a href="{% url 'department_list' %}" class="navbar-item">
                            All Departments
                        </a>
                        {% if user.is_superuser %}
                        <a href="{% url 'add_department' %}" class="navbar-item">
                            New Department
                        </a>
                        {% endif %}
                    </div>
                </div>

                <div class="navbar-item has-dropdown is-hoverable">
                    <a class="navbar-link"> Employee </a>
                    <div class="navbar-dropdown">
                        <a href="{% url 'employee_list' %}" class="navbar-item">
                            All Employees
                        </a>
                        {% if user.is_superuser %}
                        <a href="{% url 'onboard' %}" class="navbar-item">
                            New Employee
                        </a>
                        {% endif%}
                    </div>
                </div>
                {% if user.is_superuser or employee.contract_type == 'CDD' or employee.contract_type == 'CDI' %}
                <div class="navbar-item has-dropdown is-hoverable">
                    <a class="navbar-link"> Leave </a>
                    <div class="navbar-dropdown">
                        {% if user.is_superuser %}
                        <a href="{% url 'leave_list' %}" class="navbar-item">
                            All Leave
                        </a>
                        {% endif %}
                        <a href="{% url 'my_leave' %}" class="navbar-item">
                            My Leave
                        </a>
                        <a href="{% url 'apply_leave' %}" class="navbar-item">
                            Apply for leave
                        </a>
                        <hr class="navbar-divider">
                        <a href="{% url 'calendar_view' %}" class="navbar-item">
                            Calendar
                        </a>

                    </div>
                </div>
                {% endif %}
                <div class="navbar-item has-dropdown is-hoverable">
                    <a class="navbar-link"> Mailing Lists </a>
                    <div class="navbar-dropdown">
                        <a href="{% url 'mailing_list_list' %}" class="navbar-item">
                            Overview
                        </a>
                        {% if user.is_superuser %}
                        <a href="{% url 'mailing_list_expiring_view' %}" class="navbar-item">
                            Expiring Mails
                        </a>
                        <a href="{% url 'mailing_list_new' %}" class="navbar-item">
                            New List
                        </a>
                        {% endif %}
                    </div>
                </div>
                {% if user.is_superuser or employee.pi is True %}
                <div class="navbar-item has-dropdown is-hoverable">
                    <a class="navbar-link"> Contracts </a>
                    <div class="navbar-dropdown">
                        <a href="{% url 'contracts_list' %}" class="navbar-item">
                            All Contracts
                        </a>
                        <a href="{% url 'contracts_new' %}" class="navbar-item">
                            Propose Contract
                        </a>
                        <a href="{% url 'amend_contract' %}" class="navbar-item">
                            Amend Contract
                        </a>
                        {% if user.is_superuser %}
                        <hr class="navbar-divider">
                        <a href="{% url 'contract_templates_list' %}" class="navbar-item">
                            Contract Type
                        </a>
                        {% endif %}
                    </div>
                </div>
                {% endif %}
            </div>
        </div>

        <div class="navbar-end">
            <div class="navbar-item has-dropdown is-hoverable">
                <div class="navbar-link">
                    <a href="{% url 'profile' %}">
                        <figure class="image is-32x32px mr-2">
                            <img class="is-rounded" src="{{ user.display_picture.url }}" />
                        </figure>
                    </a>
                    <a href="{% url 'profile' %}">{{ user.first_name }}</a>
                </div>
                <div class="navbar-dropdown is-right">
                    <a href="{% url 'profile' %}" class="navbar-item">Profile</a>
                    <form method="post" action="{% url 'account_logout' %}">
                        {% csrf_token %}
                        <button class="button is-white has-text-dark navbar-item" type="submit" style="font-size:14px;">
                            Log out
                        </button>
                    </form>
                </div>
    </nav>
    {% endif %}
    {% block content %}
    {% endblock content %}

    <div style="margin-bottom: 100px;"></div>
    {% if user.is_authenticated %}
    <footer class="footer">
        <div class="container">
            <div class="columns">
                <div class="column is-3 is-offset-1">
                    <figure class="image is-128x128">
                        <img src={% static 'images/IFP_logo.png' %}>
                    </figure>
                    <a href="https://www.ifpindia.org">
                        <p class="strong">ifpindia.org</p>
                    </a>
                </div>
                <div class="column is-3 is-offset-1">
                    <p class="strong mt-1">
                        <a href="{% url "home" %}">Home </a>
                    </p>
                    <p class="strong mt-1">
                        <a href="{% url "profile" %}">Profile</a>
                    </p>
                    <p class="strong mt-1">
                        <a href="{% url "missions_list" %}">Missions</a>
                    </p>
                    {% if user.is_superuser or employee.pi is True %}
                    <p class="strong mt-1">
                        <a href="{% url "contracts_list" %}">Contracts</a>
                    </p>
                    {% endif %}
                    <p class="strong mt-1">
                        <a href="{% url "employee_list" %}">Employees</a>
                    </p>
                    {% if user.is_superuser or employee.contract_type == 'CDD' or employee.contract_type == 'CDI' %}
                    <p class="strong mt-1">
                        <a href="{% url "leave_list" %}">Leaves</a>
                    </p>
                    {% endif %}
                </div>
                <div class="column is-3 is-offset-1">
                    <p class="strong mt-1">About</p>
                    <p class="strong mt-1"> <a href="https://www.gnu.org/licenses/agpl-3.0.en.html">License</a></p>
                </div>
            </div>
        </div>
    </footer>
    {% endif %}


    <!-- 3rd party JavaScript -->


    <!-- Project JS -->

    <script src="{% static 'js/base.js' %}"></script>
    {% block javascript %}
    {% endblock javascript %}

    {% block additional_js %}{% endblock additional_js %}
</body>

</html>